Subject: Re: bug#61298: Emacs 29.0.60: font-lock throws an args-out-of-range error with a long line.
From: Alan Mackenzie <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Sun, 5 Feb 2023 16:04:05 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, Eli.

On Sun, Feb 05, 2023 at 17:12:42 +0200, Eli Zaretskii wrote:
> > Date: Sun, 5 Feb 2023 14:54:35 +0000
> > From: Alan Mackenzie <[email-masked]>

> > Error: args-out-of-range (260028 260028)
> >   mapbacktrace(#f(compiled-function (evald func args flags) #<bytecode 0xdf8c26265ae87c7>))
> >   debug-early-backtrace()
> >   debug-early(error (args-out-of-range 260028 260028))  <===============
> >   get-text-property(260028 font-lock-multiline)
> >   font-lock-extend-region-multiline()
> >   font-lock-default-fontify-region(1 260029 nil)
> >   c-font-lock-fontify-region(1 1501 nil)
> >   font-lock-fontify-region(1 1501)
> >   #f(compiled-function (fun) #<bytecode -0x156eee0f20909c83>)(font-lock-fontify-region)
> >   run-hook-wrapped(#f(compiled-function (fun) #<bytecode -0x156eee0f20909c83>) font-lock-fontify-region)
> >   jit-lock--run-functions(1 1501)
> >   jit-lock-fontify-now(1 1501)
> >   jit-lock-function(1)
> >   redisplay_internal\ \(C\ function\)()

> > This is clearly a bug.

> > ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

> > Position 260028 is within the bounds of the buffer.  It would appear
> > that the new-ish long-lines code has narrowed the buffer at some stage
> > such that point-max is less than the end of the buffer.  I propose the
> > following simple patch which fixes (or works around) this bug:

> Fine with me, please install on the emacs-29 branch, and thanks.

I have done so, and I'm closing the bug with this post.

Thanks for such a rapid response.

-- 
Alan Mackenzie (Nuremberg, Germany).